Package com.oracle.nosql.spring.data.core.mapping

# Class BasicNosqlPersistentEntity<T>

java.lang.Object
org.springframework.data.mapping.model.BasicPersistentEntity<T,NosqlPersistentProperty>
com.oracle.nosql.spring.data.core.mapping.BasicNosqlPersistentEntity<T>

All Implemented Interfaces:
  `NosqlPersistentEntity<T>`, `Iterable<NosqlPersistentProperty>`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.data.mapping.model.MutablePersistentEntity<T,NosqlPersistentProperty>`, `org.springframework.data.mapping.PersistentEntity<T,NosqlPersistentProperty>`

public class BasicNosqlPersistentEntity<T> extends org.springframework.data.mapping.model.BasicPersistentEntity<T,NosqlPersistentProperty> implements NosqlPersistentEntity<T>, org.springframework.context.ApplicationContextAware

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicNosqlPersistentEntity(org.springframework.data.util.TypeInformation<T> typeInformation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected NosqlPersistentProperty`
  `returnPropertyIfBetterIdPropertyCandidateOrNull(NosqlPersistentProperty property)`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  ### Methods inherited from class org.springframework.data.mapping.model.BasicPersistentEntity

  `addAssociation, addPersistentProperty, doWithAssociations, doWithAssociations, doWithProperties, doWithProperties, findAnnotation, getEvaluationContext, getEvaluationContext, getFallbackIsNewStrategy, getIdentifierAccessor, getIdProperty, getInstanceCreatorMetadata, getName, getPersistenceConstructor, getPersistentProperties, getPersistentProperty, getPropertyAccessor, getPropertyPathAccessor, getType, getTypeAlias, getTypeInformation, getValueEvaluationContext, getValueEvaluationContext, getVersionProperty, hasIdProperty, hasVersionProperty, isAnnotationPresent, isCreatorArgument, isIdProperty, isImmutable, isNew, isVersionProperty, iterator, requiresPropertyPopulation, setEnvironment, setEvaluationContextProvider, setPersistentPropertyAccessorFactory, verify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.springframework.data.mapping.PersistentEntity

  `doWithAll, doWithAssociations, doWithAssociations, doWithProperties, doWithProperties, findAnnotation, getIdentifierAccessor, getIdProperty, getInstanceCreatorMetadata, getName, getPersistenceConstructor, getPersistentProperties, getPersistentProperty, getPersistentProperty, getPropertyAccessor, getPropertyPathAccessor, getRequiredAnnotation, getRequiredIdProperty, getRequiredPersistentProperty, getRequiredVersionProperty, getType, getTypeAlias, getTypeInformation, getVersionProperty, hasIdProperty, hasVersionProperty, isAnnotationPresent, isConstructorArgument, isCreatorArgument, isIdProperty, isImmutable, isNew, isVersionProperty, requiresPropertyPopulation`

- ## Constructor Details

  - ### BasicNosqlPersistentEntity

    public BasicNosqlPersistentEntity(org.springframework.data.util.TypeInformation<T> typeInformation)

- ## Method Details

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext) throws org.springframework.beans.BeansException
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
    Throws:
      `org.springframework.beans.BeansException`

  - ### returnPropertyIfBetterIdPropertyCandidateOrNull

    @Nullable protected NosqlPersistentProperty returnPropertyIfBetterIdPropertyCandidateOrNull(NosqlPersistentProperty property)
    Overrides:
      `returnPropertyIfBetterIdPropertyCandidateOrNull` in class `org.springframework.data.mapping.model.BasicPersistentEntity<T,NosqlPersistentProperty>`